Перейти к основному содержанию
POST
/
api
/
v1
/
webhooks
/
configure
Настройка вебхука
curl --request POST \
  --url https://api.example.com/api/v1/webhooks/configure \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt

Use this file to discover all available pages before exploring further.

Настройка вебхука

Устанавливает или обновляет URL вебхука. Допускается только один URL на аккаунт.

Тело запроса

url
string
обязательно
HTTPS URL вебхука

Пример

curl -X POST https://api.tronrental.com/v1/webhooks/configure \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://yourserver.com/webhook/tronrental"}'
Response
{
  "url": "https://yourserver.com/webhook/tronrental",
  "secret": "whsec_abc123...",
  "active": true,
  "created_at": "2026-03-05T12:00:00Z"
}
Для удаления вебхука отправьте пустой URL или удалите через личный кабинет.